#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2025 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class HboMaxIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "hbomax"

    @property
    def original_file_name(self) -> "str":
        return "hbomax.svg"

    @property
    def title(self) -> "str":
        return "HBO Max"

    @property
    def primary_color(self) -> "str":
        return "#000000"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>HBO Max</title>
     <path d="M3.784 8.716c-.655
 0-1.32.29-2.173.946v-.78H0v6.236h1.715V11.24c.749-.592 1.091-.78
 1.372-.78.333 0 .551.209.551.729v3.928h1.715V11.23c.748-.582
 1.081-.769 1.372-.769.333 0
 .55.208.55.728v3.928H8.99v-4.53c0-1.403-.8-1.871-1.57-1.871-.654
 0-1.32.27-2.192.936-.28-.697-.894-.936-1.444-.936zm8.689 0c-1.705
 0-3.118 1.466-3.118 3.284 0 1.82 1.413 3.285 3.118 3.285.842 0
 1.57-.312
 2.131-.988v.82h1.632V8.883h-1.632v.822c-.561-.676-1.29-.988-2.131-.988zm4.064.166c.707
 1.102 1.507 2.09 2.443 3.077a26.593 26.593 0 0 0-2.443
 3.16h2.069a13.603 13.603 0 0 1 1.673-2.183 14.067 14.067 0 0 1 1.632
 2.182H24a25.142 25.142 0 0 0-2.432-3.16A23.918 23.918 0 0 0 24
 8.883h-2.047a14.65 14.65 0 0 1-1.674 2.11 13.357 13.357 0 0
 1-1.674-2.11zm-3.804 1.279c1.018 0 1.84.82 1.84 1.84a1.837 1.837 0 0
 1-1.84 1.839c-1.019 0-1.84-.82-1.84-1.84 0-1.018.821-1.84
 1.84-1.84zm0 .415c-.78 0-1.414.633-1.414 1.423s.634 1.424 1.413
 1.424c.78 0 1.414-.634 1.414-1.424s-.634-1.424-1.414-1.424z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return '''https://commons.wikimedia.org/wiki/File:Max_2'''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
